Fulfillment & ShippingPickup Points
List pickup points
Lists pickup points with name search and active, location, city, or neighborhood filters.
GET
/v1/shipping/pickup-pointsLists pickup points with name search and active, location, city, or neighborhood filters.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Query Parameters
limit?integer
Maximum number of results to return.
Format
int32cursor?string
Opaque cursor from the previous response. Omit it on the first page.
search?string
Free-text filter. Which fields it covers depends on the resource.
sortBy?string
Field to sort by. Accepted values depend on the resource.
sortDirection?string
Sort direction: asc or desc.
Value in
- "asc"
- "desc"
isActive?boolean
Only active items.
locationId?string
Identifier of the location.
city?string
zone?string
Header Parameters
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/shipping/pickup-points" \ -H "Authorization: Bearer <token>"{ "data": [ { "id": "7204558912004325301", "storeId": "7204558912004325301", "locationId": "7204558912004325301", "connectionId": "7204558912004325301", "sellerId": "7204558912004325301", "isExternal": false, "externalId": "7204558912004325301", "name": "Example resource", "description": "Example description.", "state": "example", "city": "example", "neighborhood": "example", "postalCode": "example_code", "address": "example", "addressNumber": "example", "reference": "example", "observations": "example", "latitude": 1, "longitude": 1, "deliveryTimeInMinutes": 1, "leadTimeInMinutes": 1, "isSellerPickupPoint": false, "contactName": "Example resource", "contactPhone": "+51987654321", "contactEmail": "andrea@example.com", "schedule": [ { "day": "monday", "openTime": "09:00:00Z", "closeTime": "09:00:00Z", "duration": "00:30:00" } ], "hasCoordinates": false, "status": "inactive", "createdOn": "2026-08-01T15:30:00Z", "updatedOn": "2026-08-01T15:30:00Z" } ], "hasNextPage": false, "nextCursor": "example", "totalCount": 1}